/*
 * Copyright 2004-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.strutsel.taglib;

import javax.servlet.jsp.JspException;

import org.apache.strutsel.taglib.utils.EvalHelper;
import org.seasar.struts.taglib.InitializeTag;

/**
 * @author Naoki Ichimura
 */
public class ELInitializeTag extends InitializeTag {
	private String actionExpr;

	public String getActionExpr() {
		return this.actionExpr;
	}

	public void setActionExpr(String actionExpr) {
		this.actionExpr = actionExpr;
	}

    public void release() {
        super.release();
        setActionExpr(null);
    }

    public int doStartTag() throws JspException {
		evaluateExpressions();
		return (super.doStartTag());
	}

	private void evaluateExpressions() throws JspException {
		String string = null;

		if ((string = EvalHelper.evalString("action", getActionExpr(), this,
				pageContext)) != null) {
			setAction(string);
		}
	}

}
